package alx.p43_files;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;

public class Ls_Funkcyjnie {

	public static void main(String[] args) {
		Path dir = Paths.get(".");
		
		try {
			Files.list(dir)
				.forEach(path -> System.out.println(path + " " + Files.isRegularFile(path)));
		} catch (IOException e) {
			e.printStackTrace();
		}

	}

}
